package com.logicbig.example;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;
import java.io.IOException;

public class ExampleMain {
    public static void main(String[] args) throws IOException {
        PersonEntity person = new PersonEntity("Jessie", 35);
        System.out.println("-- before serialization --");
        System.out.println(person);
        ObjectMapper om = new ObjectMapper();
        om.enable(SerializationFeature.WRAP_ROOT_VALUE);
        String jsonString = om.writeValueAsString(person);
        System.out.println("-- after serialization --");
        System.out.println(jsonString);

        om.enable(DeserializationFeature.UNWRAP_ROOT_VALUE);
        PersonEntity person2 = om.readValue(jsonString, PersonEntity.class);
        System.out.println("-- after deserialization --");
        System.out.println(person2);
    }
}